#
# spec file for package python-txtorcon
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} %{!?skip_python3:python3-%{**}}}
%bcond_without python2
Name:           python-txtorcon
Version:        20.0.0
Release:        lp152.2.1
Summary:        Twisted-based asynchronous Tor control protocol implementation
License:        MIT
URL:            https://txtorcon.readthedocs.org
Source:         https://files.pythonhosted.org/packages/source/t/txtorcon/txtorcon-%{version}.tar.gz
BuildRequires:  %{python_module setuptools >= 36.2}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Automat
Requires:       python-Twisted >= 15.5.0
Requires:       python-incremental
Requires:       python-zope.interface >= 3.6.1
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Automat}
BuildRequires:  %{python_module Twisted >= 15.5.0}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module zope.interface >= 3.6.1}
%if %{with python2}
BuildRequires:  python-ipaddress
%endif
# /SECTION
%ifpython2
Requires:       python-ipaddress >= 1.0.16
%endif
%python_subpackages

%description
Twisted-based asynchronous Tor control protocol implementation. Includes
unit-tests, examples, state-tracking code and configuration abstraction.

%prep
%setup -q -n txtorcon-%{version}

sed -i '/data_files/,/\]\,/s/^/#/' setup.py

%build
%python_build

%install
%python_install
# remove the tests from distribution
%python_expand rm -rf %{buildroot}%{$python_sitelib}/test/
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# looks more like integration tests
%pytest -k 'not test_real_addr'

%files %{python_files}
%license LICENSE docs/*.rst
%{python_sitelib}/*

%changelog
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build wihtout python2
* Mon Apr  6 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 20.0.0
  * Use real GeoIP database or nothing (https://github.com/meejah/txtorcon/issues/250)
  * Change abstract base classes import in preperation for Python 3.8 (thanks @glowatsk)
  * Python 3.4 is no longer supported
  * Python 2 is deprecated; all new code should be Python 3. Support
  for Python 2 will be removed in a future release.
* Mon Dec 30 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Drop GeoIP dependency. The geoip interface is no longer valid and
  this package was not portedto GeoIP2. The test has already been
  disarmed a while back.
* Mon Sep 16 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 19.1.0:
  * TorControlProtocol.on_disconnect is deprecated in favour of
    TorControlProtocol.when_disconnected
  * introduce non_anonymous_mode= kwarg in txtorcon.launch()
    enabling Tor options making Onion Services non-anonymous for the
    server (but they use a single hop instead of three to the
    Introduction Point so they're slightly faster).
  * add an API to listen to individual circuit and stream events
    (without subclassing anything). Can be used as decorators too.
    See e.g. TorState.on_circuit_new()
- Drop merged patch:
  * python-txtorcon-methods-are-bytes.patch
* Tue Jul 30 2019 pgajdos@suse.com
- fix build
- added patches
  https://github.com/meejah/txtorcon/commit/5d7ebea5086f361efe7f14aea58e512a04b401f3
  + python-txtorcon-methods-are-bytes.patch
* Mon Jun 17 2019 pgajdos@suse.com
- version update to 19.0.0
  * many upstream changes, see releases.rst
- run testsuite
- package documentation
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Apr 23 2018 tchvatal@suse.com
- Remove test directory from sitelib
* Fri Mar  2 2018 avvissu@yandex.by
- Initial package
